# GPUFXSettings(bpy_struct)

base class — `bpy_struct`

class `bpy.types.``GPUFXSettings`(bpy_struct)

  Settings for GPU based compositing

  `dof`

    Type: | `GPUDOFSettings`, (readonly, never None)

  `ssao`

    Type: | `GPUSSAOSettings`, (readonly, never None)

  `use_dof`

    Use depth of field on viewport using the values from active camera

    Type: | boolean, default False

  `use_ssao`

    Use screen space ambient occlusion of field on viewport

    Type: | boolean, default False

Inherited Properties

`bpy_struct.id_data` |

Inherited Functions

`bpy_struct.as_pointer` `bpy_struct.driver_add` `bpy_struct.driver_remove` `bpy_struct.get` `bpy_struct.is_property_hidden` `bpy_struct.is_property_readonly` `bpy_struct.is_property_set` `bpy_struct.items` | `bpy_struct.keyframe_delete` `bpy_struct.keyframe_insert` `bpy_struct.keys` `bpy_struct.path_from_id` `bpy_struct.path_resolve` `bpy_struct.property_unset` `bpy_struct.type_recast` `bpy_struct.values`

References

`SpaceView3D.fx_settings` |